From ca581a642db5da83ff9f14dad2a5ba04c1895d08 Mon Sep 17 00:00:00 2001
From: Pan Nengyuan <pannengyuan@huawei.com>
Date: Mon, 30 Mar 2020 16:09:20 +0800
Subject: [PATCH 06/28] utils_misc: fix migrate error on x86 when vlu enable in
 lscpu

'lscpu' show some vlu info with unregular type(key: value), this patch
remove this from the stdout to avoid it.

Signed-off-by: Pan Nengyuan <pannengyuan@huawei.com>
---
 virttest/utils_misc.py | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/virttest/utils_misc.py b/virttest/utils_misc.py
index 62b9ee90..923eb557 100644
--- a/virttest/utils_misc.py
+++ b/virttest/utils_misc.py
@@ -1500,7 +1500,8 @@ def get_cpu_info(session=None):
             output = session.cmd_output(cmd).splitlines()
         finally:
             session.close()
-    cpu_info = dict(map(lambda x: [i.strip() for i in x.split(":")], output))
+    cpu_info = dict(map(lambda x: [i.strip() for i in x.split(":")],
+                        [item for item in output if len(item.split(":")) == 2]))
     return cpu_info
 
 
-- 
2.23.0

